import node from "rollup-plugin-node-resolve";
import commonjs from "rollup-plugin-commonjs";
import typescript from "rollup-plugin-typescript2";
import builtins from "rollup-plugin-node-builtins";

const plugins = 
        [
            typescript({
                clean: true,
                tsconfigOverride: {
                  compilerOptions: {
                    target: "ES2015",
                    module: "ES2015"
                  }
                }
            }),
            commonjs(),
            builtins(),
            node({preferBuiltins: false})
        ];

export default [
{
    input: "imgui_impl.ts",
    output:
    {
        file: "imgui_impl.js",
        format: "cjs",
        name: "imgui_pixi_js",
        sourcemap: true
    },
    plugins: plugins
}
]
